"""
@author: luojunhui
"""
from quart import Blueprint, jsonify, request

from server.api import Response, Record, Minigram, GetOffVideos

my_blueprint = Blueprint('LongArticlesMatchServer', __name__)


def Routes(mysql_client, config):
    """
    路由代码
    """

    @my_blueprint.route('/healthcheck')
    def healthcheck():
        """
        Hello World Test
        :return:
        """
        return jsonify({'message': 'Hello, World!'})

    @my_blueprint.route('/search_videos', methods=['POST'])
    async def search_videos_from_the_web():
        """
        record Data
        :return:
        """
        params = await request.get_json()
        SD = Record(params=params, mysql_client=mysql_client, config=config)
        result = await SD.deal()
        return jsonify(result)

    @my_blueprint.route('/recall_videos', methods=['POST'])
    async def recall_results():
        """
        获取视频分享卡片
        :return:
        """
        data = await request.get_json()
        RD = Response(
            params=data,
            mysql_client=mysql_client,
            config=config
        )
        response = await RD.deal()
        return jsonify(response)

    @my_blueprint.route("/choose_minigram", methods=['POST'])
    async def match_minigram():
        """
        获取小程序信息
        :return:
        """
        data = await request.get_json()
        M = Minigram(params=data)
        response = await M.deal()
        return jsonify(response)

    @my_blueprint.route("/get_off_videos", methods=['POST'])
    async def get_off_videos():
        """
        自动下架视频记录
        :return:
        """
        data = await request.get_json()
        GOV = GetOffVideos(params=data, mysql_client=mysql_client, config=config)
        response = await GOV.deal()
        return jsonify(response)

    return my_blueprint
